package de.cliffbreak.varo.database;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class Database {

    private Connection conn;

    public Database() {
        try {
            this.conn = DriverManager.getConnection("jdbc:sqlite:plugins/CliffbreakVaro/players.db");
            this.init();
        } catch (final SQLException e) {
            e.printStackTrace();
        }
    }

    private void init() throws SQLException {
        final Statement s = conn.createStatement();
        s.executeUpdate(
                "CREATE TABLE IF NOT EXISTS kills (`player` VARCHAR(32) NOT NULL, `victim` VARCHAR(32) NOT NULL);");
        s.close();
    }

    public void shutdown() {
        try {
            this.conn.close();
        } catch (final SQLException e) {
            e.printStackTrace();
        }
    }

    public void addKill(final String uuid, final String victimUuid) {
        try {
            final Statement s = conn.createStatement();
            s.executeUpdate("INSERT INTO kills (`player`, `victim`) VALUES ('" + uuid + "', '" + victimUuid + "');");
            s.close();
        } catch (final SQLException e) {
            e.printStackTrace();
        }
    }

    public int getKills(final String uuid) {
        try {
            final Statement s = conn.createStatement();
            final ResultSet rs = s.executeQuery("SELECT COUNT(`victim`) FROM kills WHERE `player` ='" + uuid + "';");
            final int kills = rs.getInt("COUNT(`victim`)");
            s.close();
            return kills;
        } catch (final SQLException e) {
            e.printStackTrace();
        }
        return 0;
    }
}